Site News

Retro PSA: Cloudflare Security Flaw — Change Your Passwords

This sucks. CloudFlare screwed up, and this affects more than Sonic Retro, SEGAbits and the rest of our family of websites. A coding flaw has allowed their edge servers to generate a buffer containing sensitive data which means a data compromise, and a big one at that. Our websites use CloudFlare’s services.

Please change your wiki and forum passwords immediately.

The security flaw has been resolved on their end with the assistance of a security researcher at Google’s Project Labs. However this affects several major websites including Reddit, OkCupid, Uber and several others that use their service. Read more about the issue on CloudFlare’s blog.

We apologize for the inconvenience.

[Source: CloudFlare]

 

Previous Post Next Post

You Might Also Like

No Comments

Leave a Reply